#ifndef DRIVER_H
#define DRIVER_H

#include "global.h"


class driver:public sc_module {
  
  SC_HAS_PROCESS(driver);

 public:

  // The constructor
  driver(sc_module_name module_name, int input);

  // Input and output ports
  sc_out <int> output1, output2;
  sc_in  <int> result;

  sc_in <bool> clk;

  
 protected:
  // Local memory
  int initial_number;
  int running_total;

  void generate_task();
  void get_result();
  
};


#endif


