#ifndef MONITOR1_H
#define MONITOR1_H


#include <systemc>
#include "adder.h" // Need access to the fields of the adder objects
#include "debug_printer.h"

/**
 * All properties are a subclass of mon_property, and inherit all
 * virtual functions.
 */
class monitor1 : public mon_prototype {

 public:
  
  // The constructor
  monitor1(mon_observer* obs, adder* obj1);

  // The callbacks
  virtual const char* to_string() const;
  virtual void callback_delta_cycle_end();

 private: 
  mon_observer* observer;
  adder* object1;
};


#endif
