#ifndef PROPERTY_1_H
#define PROPERTY_1_H

#include <systemc>
#include <map>

// Include the headers of files that we need to express properties about
// Property 1
#include "flight_planner.h"


class property1 : public mon_prototype {

 public:
  property1(mon_observer* obs, airline::flight_planner* o1);

  virtual const char* to_string() const;
  virtual void callback_event_notified(sc_event* e);

 private:
  mon_observer* observer;
  airline::flight_planner* object1;

  static unsigned int unique_id;
  unsigned int my_id;
  
}; //class


#endif
